Skip to main content
aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
Diffstat (limited to 'cje-production')
-rw-r--r--cje-production/buildproperties.txt39
-rw-r--r--cje-production/gitCache/readme.txt1
-rwxr-xr-xcje-production/master-build.sh6
-rwxr-xr-xcje-production/mbscripts/mb010_createEnvfiles.sh54
-rw-r--r--cje-production/siteDir/readme.txt1
5 files changed, 99 insertions, 2 deletions
diff --git a/cje-production/buildproperties.txt b/cje-production/buildproperties.txt
new file mode 100644
index 00000000..368a25a5
--- /dev/null
+++ b/cje-production/buildproperties.txt
@@ -0,0 +1,39 @@
+#*******************************************************************************
+# Copyright (c) 2018 IBM Corporation and others.
+#
+# This program and the accompanying materials
+# are made available under the terms of the Eclipse Public License 2.0
+# which accompanies this distribution, and is available at
+# https://www.eclipse.org/legal/epl-2.0/
+#
+# SPDX-License-Identifier: EPL-2.0
+#
+# Contributors:
+# Sravan Lakkimsetti - initial API and implementation
+#*******************************************************************************
+
+# This file contains environmental properties as key value pairs. Lines starting
+# with # are considered comments and no spaces allowed in keys
+
+BUILD_ROOT="siteDir"
+BRANCH="master"
+STREAM="4.10.0"
+aggDir="gitCache/eclipse.platform.releng.aggregator"
+MAVEN_OPTS="-Xms2048m -Xmx5120m -Djava.io.tmpdir=/shared/eclipse/builds/4I/tmp -Dtycho.localArtifacts=ignore "
+AGGREGATOR_REPO="ssh://genie.releng@git.eclipse.org:29418/platform/eclipse.platform.releng.aggregator.git"
+BASEBUILDER_TAG="4.9"
+B_GIT_EMAIL="genie.releng@eclipse.org"
+B_GIT_NAME="Releng HIPP"
+COMMITTER_ID="genie.releng"
+MVN_DEBUG="false"
+MVN_QUIET="false"
+SIGNING="true"
+REPO_AND_ACCESS="ssh://genie.releng@git.eclipse.org:29418"
+MAVEN_BREE="-Pbree-libs"
+GIT_PUSH="git push"
+LOCAL_REPO="localMavenRepo"
+SCRIPT_PATH="."
+JAVA_DOC_TOOL="-Declipse.javadoc=/shared/common/jdk1.8.0_x64-latest/bin/javadoc"
+MAVEN_SETTINGS="--settings /shared/eclipse/settings/settingsBuildMachine.xml"
+API_PREV_REF_LABEL="4.9"
+API_FREEZE_REF_LABEL="4.10RC1"
diff --git a/cje-production/gitCache/readme.txt b/cje-production/gitCache/readme.txt
new file mode 100644
index 00000000..ea427d90
--- /dev/null
+++ b/cje-production/gitCache/readme.txt
@@ -0,0 +1 @@
+Holds the git cache and maven build runs from here
diff --git a/cje-production/master-build.sh b/cje-production/master-build.sh
index 9d99f620..d0e9140f 100755
--- a/cje-production/master-build.sh
+++ b/cje-production/master-build.sh
@@ -1,4 +1,4 @@
-#!/bin/bash
+#!/bin/bash -x
#*******************************************************************************
# Copyright (c) 2018 IBM Corporation and others.
#
@@ -20,7 +20,9 @@ BUILD_ENV_FILE=${buildDirectory}/buildproperties.shsource
BUILD_ENV_FILE_PHP=${buildDirectory}/buildproperties.php
BUILD_ENV_FILE_PROP=${buildDirectory}/buildproperties.properties
-for i in $(ls mbscripts|sort)
+pushd mbscripts
+for i in $(ls |sort)
do
fn-run-command ./$i $BUILD_ENV_FILE
done
+popd
diff --git a/cje-production/mbscripts/mb010_createEnvfiles.sh b/cje-production/mbscripts/mb010_createEnvfiles.sh
new file mode 100755
index 00000000..b20abba1
--- /dev/null
+++ b/cje-production/mbscripts/mb010_createEnvfiles.sh
@@ -0,0 +1,54 @@
+#!/bin/bash -x
+
+#*******************************************************************************
+# Copyright (c) 2018 IBM Corporation and others.
+#
+# This program and the accompanying materials
+# are made available under the terms of the Eclipse Public License 2.0
+# which accompanies this distribution, and is available at
+# https://www.eclipse.org/legal/epl-2.0/
+#
+# SPDX-License-Identifier: EPL-2.0
+#
+# Contributors:
+# Sravan Lakkimsetti - initial API and implementation
+#*******************************************************************************
+
+if [ $# -ne 1 ]; then
+ echo USAGE: $0 env_file
+ exit 1
+fi
+
+source "../common/common-functions.shsource"
+
+shEnvFile=$(basename $1)
+buildDir=$(dirname $1)
+baseEnvFile=$(echo $shEnvFile |cut -d. -f1)
+phpEnvFile=$(echo $baseEnvFile.php)
+propEnvFile=$(echo $baseEnvFile.properties)
+
+BUILD_ENV_FILE=${buildDir}/${shEnvFile}
+BUILD_ENV_FILE_PHP=${buildDir}/${phpEnvFile}
+BUILD_ENV_FILE_PROP=${buildDir}/${propEnvFile}
+
+fn-addToPropFiles ()
+{
+ echo "export $1=$2" >> $BUILD_ENV_FILE
+ echo "\$$1 = $2;" >> $BUILD_ENV_FILE_PHP
+ echo "$1 = $2" >> $BUILD_ENV_FILE_PROP
+}
+while read propLine
+do
+ if [[ ${propLine:0:1} == "#" ]]
+ then
+ continue
+ else
+ key=$(echo $propLine|cut -d= -f1)
+ value=$(echo $propLine|cut -d= -f2-)
+ if [[ -z $key ]]
+ then
+ continue
+ fi
+ fn-addToPropFiles $key $value
+ fi
+done < ../buildproperties.txt
diff --git a/cje-production/siteDir/readme.txt b/cje-production/siteDir/readme.txt
new file mode 100644
index 00000000..36561346
--- /dev/null
+++ b/cje-production/siteDir/readme.txt
@@ -0,0 +1 @@
+Holds the site directory structure

Back to the top